/*
 * Telapathy Inspector - A Telepathy client which exposes Telepathy interfaces.
 *                       Meant to inspect and/or test connection managers.
 * 
 * ti-page-aliasing.h:
 * A GtkNotebook page exposing
 * org.freedesktop.Telepathy.Connection.Interface.Aliasing functionality.
 * 
 * Copyright (C) 2006 INdT - Instituto Nokia de Tecnologia
 * Author - Daniel d'Andrada T. de Carvalho <daniel.carvalho@indt.org.br>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */
 
#ifndef __TI_PAGE_ALIASING_H__
#define __TI_PAGE_ALIASING_H__

#include <gtk/gtk.h>
#include <glib-object.h>

#include "ti-connection.h"
#include "ti-page.h"
#include "ti-handle-mapper.h"

/*
 * Type macros.
 */

typedef struct _TIPageAliasing TIPageAliasing;
typedef struct _TIPageAliasingClass TIPageAliasingClass;

#define TI_TYPE_PAGE_ALIASING               ti_page_aliasing_get_type()
#define TI_PAGE_ALIASING(object)            (G_TYPE_CHECK_INSTANCE_CAST ((object), TI_TYPE_PAGE_ALIASING, TIPageAliasing))
#define TI_PAGE_ALIASING_CLASS(klass)       (G_TYPE_CHECK_CLASS_CAST ((klass), TI_TYPE_PAGE_ALIASING, TIPageAliasingClass))
#define TI_IS_PAGE_ALIASING(object)         (G_TYPE_CHECK_INSTANCE_TYPE ((object), TI_TYPE_PAGE_ALIASING))
#define TI_IS_PAGE_ALIASING_CLASS(klass)    (G_TYPE_CHECK_CLASS_TYPE ((klass), TI_TYPE_PAGE_ALIASING))
#define TI_PAGE_ALIASING_GET_CLASS(object)  (G_TYPE_INSTANCE_GET_CLASS ((object), TI_TYPE_PAGE_ALIASING, TIPageAliasingClass))

struct _TIPageAliasing {
    TIPage parent;
};

GType ti_page_aliasing_get_type (void);

TIPageAliasing* ti_page_aliasing_new (GtkWindow* parent_wnd, GtkNotebook* parent_notebook, TIConnection* connection, TIHandleMapper* handle_mapper);

#endif
